Index: code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
-		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
-		WarningLevel="3"
-		DisableSpecificWarnings="4522;4251;4800"
-	/>
-	<Tool
-		Name="VCLibrarianTool"
-		OutputFile="$(LibOutDir)$(ProjectName)$(CS).lib"
-		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
-		IgnoreAllDefaultLibraries="true"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
-		AdditionalLibraryDirectories="$(DependencyDir)lib"
-		SubSystem="1"
-		ImportLibrary="$(LibOutDir)$(TargetName).lib"
-		TargetMachine="1"
-	/>
-	<UserMacro
-		Name="LibOutDir"
-		Value="$(RootDir)lib\"
-	/>
-	<UserMacro
-		Name="DependencyDir"
-		Value="$(RootDir)..\dependencies\"
-	/>
-	<UserMacro
-		Name="CS"
-		Value=""
-	/>
-	<UserMacro
-		Name="CSS"
-		Value=""
-	/>
-	<UserMacro
-		Name="LibDir"
-		Value="$(DependencyDir)include\"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/base_properties_debug.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties_debug.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties_debug"
-	InheritedPropertySheets="$(SolutionDir)base_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		Optimization="0"
-		PreprocessorDefinitions="_DEBUG"
-		MinimalRebuild="true"
-		BasicRuntimeChecks="3"
-		RuntimeLibrary="3"
-		DebugInformationFormat="3"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		LinkIncremental="2"
-		GenerateDebugInformation="true"
-	/>
-	<UserMacro
-		Name="CS"
-		Value="_d"
-	/>
-	<UserMacro
-		Name="CSS"
-		Value="_d"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/base_properties_release.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties_release.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties_release"
-	InheritedPropertySheets=".\base_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		Optimization="2"
-		PreprocessorDefinitions="NDEBUG"
-		RuntimeLibrary="2"
-		DebugInformationFormat="3"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		LinkIncremental="1"
-		GenerateDebugInformation="true"
-		OptimizeReferences="2"
-		EnableCOMDATFolding="2"
-	/>
-	<UserMacro
-		Name="CS"
-		Value=""
-	/>
-	<UserMacro
-		Name="CSS"
-		Value=""
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/directory_properties.vsprops
===================================================================
--- code/trunk/visual_studio/directory_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="directory_properties"
-	OutputDirectory="$(RootDir)bin\"
-	IntermediateDirectory="$(RootDir)obj\$(ProjectName)\$(ConfigurationName)"
-	>
-	<UserMacro
-		Name="RootDir"
-		Value="$(SolutionDir)..\"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/orxonox_vc8.sln
===================================================================
--- code/trunk/visual_studio/orxonox_vc8.sln	(revision 1837)
+++ 	(revision )
@@ -1,136 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual Studio 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "cpptcl", "vc8\cpptcl.vcproj", "{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ois", "vc8\ois.vcproj", "{9CC704CB-4956-4479-BDEC-57CBC03F700E}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tixml", "vc8\tixml.vcproj", "{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "vc8\tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
-	ProjectSection(ProjectDependencies) = postProject
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_gen", "vc8\tolua_gen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
-	ProjectSection(ProjectDependencies) = postProject
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_app", "vc8\tolua_app.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
-	ProjectSection(ProjectDependencies) = postProject
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "vc8\util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "vc8\core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
-	ProjectSection(ProjectDependencies) = postProject
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E} = {9CC704CB-4956-4479-BDEC-57CBC03F700E}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "vc8\audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	ProjectSection(ProjectDependencies) = postProject
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "vc8\network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	ProjectSection(ProjectDependencies) = postProject
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "orxonox", "vc8\orxonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
-	ProjectSection(ProjectDependencies) = postProject
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "vc8\lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "vc8\ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
-	ProjectSection(ProjectDependencies) = postProject
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
-	EndProjectSection
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Win32 = Debug|Win32
-		Release|Win32 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.ActiveCfg = Debug|Win32
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.Build.0 = Debug|Win32
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Release|Win32.ActiveCfg = Release|Win32
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Release|Win32.Build.0 = Release|Win32
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Debug|Win32.ActiveCfg = Debug|Win32
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Debug|Win32.Build.0 = Debug|Win32
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Release|Win32.ActiveCfg = Release|Win32
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Release|Win32.Build.0 = Release|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.Build.0 = Debug|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.ActiveCfg = Release|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.Build.0 = Release|Win32
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Debug|Win32.ActiveCfg = Debug|Win32
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Debug|Win32.Build.0 = Debug|Win32
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.ActiveCfg = Release|Win32
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.Build.0 = Release|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.ActiveCfg = Debug|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.Build.0 = Debug|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.ActiveCfg = Release|Win32
-		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.Build.0 = Release|Win32
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Debug|Win32.ActiveCfg = Debug|Win32
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Debug|Win32.Build.0 = Debug|Win32
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Release|Win32.ActiveCfg = Release|Win32
-		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Release|Win32.Build.0 = Release|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.ActiveCfg = Debug|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.Build.0 = Debug|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.ActiveCfg = Debug|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.Build.0 = Debug|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.ActiveCfg = Release|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.ActiveCfg = Release|Win32
-		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.Build.0 = Release|Win32
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.Build.0 = Debug|Win32
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.ActiveCfg = Release|Win32
-		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal
Index: code/trunk/visual_studio/vc8/audio.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/audio.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/audio.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\audio_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\audio.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\audio_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\audio.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/audio.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/audio.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/audio.vsprops	(revision 1838)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="audio_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
+		DisableSpecificWarnings="4244"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="vorbisfile$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/audio_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/audio_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="audio_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
-		DisableSpecificWarnings="4244"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="vorbisfile$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/base_properties.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/base_properties.vsprops	(revision 1838)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
+		WarningLevel="3"
+		DisableSpecificWarnings="4522;4251;4800"
+	/>
+	<Tool
+		Name="VCLibrarianTool"
+		OutputFile="$(LibOutDir)$(ProjectName)$(CS).lib"
+		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
+		IgnoreAllDefaultLibraries="true"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
+		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib&quot;;&quot;$(LibDir)cegui-0.6.1\lib&quot;;&quot;$(LibDir)enet-1.2\lib&quot;;&quot;$(LibDir)freealut-1.1.0\lib&quot;;&quot;$(LibDir)libogg-1.1.3\lib&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib&quot;;&quot;$(LibDir)ogre-1.4.9\lib&quot;;&quot;$(LibDir)openal-1.1\lib&quot;;&quot;$(LibDir)tcl-8.5.2\lib&quot;;&quot;$(LibDir)zlib-1.2.3\lib&quot;"
+		SubSystem="1"
+		ImportLibrary="$(LibOutDir)$(TargetName).lib"
+		TargetMachine="1"
+	/>
+	<UserMacro
+		Name="LibOutDir"
+		Value="$(RootDir)lib\"
+	/>
+	<UserMacro
+		Name="LibDir"
+		Value="$(RootDir)..\libs\"
+	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/base_properties_debug.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/base_properties_debug.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/base_properties_debug.vsprops	(revision 1838)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties_debug"
+	InheritedPropertySheets="$(SolutionDir)base_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="0"
+		PreprocessorDefinitions="_DEBUG"
+		MinimalRebuild="true"
+		BasicRuntimeChecks="3"
+		RuntimeLibrary="3"
+		DebugInformationFormat="3"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		LinkIncremental="2"
+		GenerateDebugInformation="true"
+	/>
+	<UserMacro
+		Name="CS"
+		Value="_d"
+	/>
+	<UserMacro
+		Name="CSS"
+		Value="_d"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/base_properties_release.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/base_properties_release.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/base_properties_release.vsprops	(revision 1838)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base_properties_release"
+	InheritedPropertySheets=".\base_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="2"
+		PreprocessorDefinitions="NDEBUG"
+		RuntimeLibrary="2"
+		DebugInformationFormat="3"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		LinkIncremental="1"
+		GenerateDebugInformation="true"
+		OptimizeReferences="2"
+		EnableCOMDATFolding="2"
+	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+	<UserMacro
+		Name="CSS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/ceguilua.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/ceguilua.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/ceguilua.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\ceguilua_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\ceguilua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\ceguilua_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\ceguilua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/ceguilua.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/ceguilua.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/ceguilua.vsprops	(revision 1838)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="CEGUILUA_EXPORTS"
+		DisableSpecificWarnings="4996"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="CEGUIBase$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/ceguilua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/ceguilua_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="ceguilua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="CEGUILUA_EXPORTS"
-		DisableSpecificWarnings="4996"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="CEGUIBase$(CS).lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\core_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\core.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\core_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\core.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/core.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/core.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/core.vsprops	(revision 1838)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="core_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="CORE_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/core_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="core_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="CORE_SHARED_BUILD"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/cpptcl.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/cpptcl.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/cpptcl.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\cpptcl_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\cpptcl.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\cpptcl_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\cpptcl.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/cpptcl.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/cpptcl.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/cpptcl.vsprops	(revision 1838)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="cpptcl_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/cpptcl_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/cpptcl_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="cpptcl_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/directory_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/directory_properties.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/directory_properties.vsprops	(revision 1838)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="directory_properties"
+	OutputDirectory="$(RootDir)bin\"
+	IntermediateDirectory="$(RootDir)obj\$(ProjectName)\$(ConfigurationName)"
+	>
+	<UserMacro
+		Name="RootDir"
+		Value="$(SolutionDir)..\"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/lua.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/lua.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/lua.vsprops	(revision 1838)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/lua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/lua_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="lua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/network.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/network.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/network.vsprops	(revision 1838)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="network_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;WIN32_LEAN_AND_MEAN"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="enet$(CS).lib zlib$(CS).lib"
+		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/network_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/network_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="network_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;WIN32_LEAN_AND_MEAN"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="enet$(CS).lib zlib$(CS).lib"
-		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\orxonox_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\orxonox.vsprops"
 			CharacterSet="1"
 			>
@@ -82,5 +82,5 @@
 			Name="Release|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\orxonox_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\orxonox.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/orxonox.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/orxonox.vsprops	(revision 1838)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="orxonox_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;OGRE_GUIRENDERER_EXPORTS"
+		UsePrecompiledHeader="2"
+		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet$(CS).lib zlib$(CS).lib CEGUIBase$(CS).lib"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+		IgnoreDefaultLibraryNames=""
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/orxonox_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="orxonox_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;OGRE_GUIRENDERER_EXPORTS"
-		UsePrecompiledHeader="2"
-		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet$(CS).lib zlib$(CS).lib CEGUIBase$(CS).lib"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-		IgnoreDefaultLibraryNames=""
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/orxonox_vc8.sln
===================================================================
--- code/trunk/visual_studio/vc8/orxonox_vc8.sln	(revision 1838)
+++ code/trunk/visual_studio/vc8/orxonox_vc8.sln	(revision 1838)
@@ -0,0 +1,136 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 9.00
+# Visual Studio 2005
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "cpptcl", "cpptcl.vcproj", "{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ois", "ois.vcproj", "{9CC704CB-4956-4479-BDEC-57CBC03F700E}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tixml", "tixml.vcproj", "{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_gen", "tolua_gen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
+	ProjectSection(ProjectDependencies) = postProject
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_app", "tolua_app.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
+	ProjectSection(ProjectDependencies) = postProject
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "util", "util.vcproj", "{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
+	ProjectSection(ProjectDependencies) = postProject
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E} = {9CC704CB-4956-4479-BDEC-57CBC03F700E}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
+	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
+	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "orxonox", "orxonox.vcproj", "{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
+	ProjectSection(ProjectDependencies) = postProject
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+	EndProjectSection
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.ActiveCfg = Debug|Win32
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Debug|Win32.Build.0 = Debug|Win32
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Release|Win32.ActiveCfg = Release|Win32
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6}.Release|Win32.Build.0 = Release|Win32
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Debug|Win32.ActiveCfg = Debug|Win32
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Debug|Win32.Build.0 = Debug|Win32
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Release|Win32.ActiveCfg = Release|Win32
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E}.Release|Win32.Build.0 = Release|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.Build.0 = Debug|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.ActiveCfg = Release|Win32
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.Build.0 = Release|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Debug|Win32.ActiveCfg = Debug|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Debug|Win32.Build.0 = Debug|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.ActiveCfg = Release|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.Build.0 = Release|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.ActiveCfg = Debug|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Debug|Win32.Build.0 = Debug|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.ActiveCfg = Release|Win32
+		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}.Release|Win32.Build.0 = Release|Win32
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Debug|Win32.ActiveCfg = Debug|Win32
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Debug|Win32.Build.0 = Debug|Win32
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Release|Win32.ActiveCfg = Release|Win32
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34}.Release|Win32.Build.0 = Release|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.ActiveCfg = Debug|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.Build.0 = Debug|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.ActiveCfg = Debug|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.Build.0 = Debug|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.ActiveCfg = Release|Win32
+		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
+		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
+		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.ActiveCfg = Release|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.Build.0 = Release|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.Build.0 = Debug|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.ActiveCfg = Release|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: code/trunk/visual_studio/vc8/tixml.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tixml.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/tixml.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\tixml_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tixml.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tixml_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tixml.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/tixml.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tixml.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/tixml.vsprops	(revision 1838)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tixml_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tixml_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tixml_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tixml_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tolua.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/tolua.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\tolua_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tolua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tolua_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tolua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/tolua.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/tolua.vsprops	(revision 1838)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_app.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tolua_app.vcproj	(revision 1837)
+++ 	(revision )
@@ -1,202 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_app"
-	ProjectGUID="{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\tolua_app_properties.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tolua_app_properties.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua-5.1.pkg"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCustomBuildTool"
-						Description="Generating tolua bind files..."
-						CommandLine="&quot;$(OutDir)\tolua_gen_d.exe&quot; -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ../../src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
-						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
-						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCustomBuildTool"
-						Description="Generating tolua bind files..."
-						CommandLine="&quot;$(OutDir)\tolua_gen.exe&quot; -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ../../src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
-						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
-						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\tolua.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind_orxonox.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua++.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind_orxonox.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/trunk/visual_studio/vc8/tolua_app_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_app_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_app_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_gen.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tolua_gen.vcproj	(revision 1837)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_gen"
-	ProjectGUID="{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\tolua_gen_properties.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tolua_gen_properties.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua++.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: code/trunk/visual_studio/vc8/tolua_gen_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_gen_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_gen_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/tolua_orxonox.vcproj	(revision 1838)
+++ code/trunk/visual_studio/vc8/tolua_orxonox.vcproj	(revision 1838)
@@ -0,0 +1,176 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_gen"
+	ProjectGUID="{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tolua_gen.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tolua_gen.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\toluabind.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua++.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\toluabind.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/trunk/visual_studio/vc8/tolua_orxonox.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_orxonox.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/tolua_orxonox.vsprops	(revision 1838)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_gen_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/toluagen.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/toluagen.vcproj	(revision 1838)
+++ code/trunk/visual_studio/vc8/toluagen.vcproj	(revision 1838)
@@ -0,0 +1,202 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_app"
+	ProjectGUID="{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tolua_app.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tolua_app.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua-5.1.pkg"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Generating tolua bind files..."
+						CommandLine="&quot;$(OutDir)\tolua_gen_d.exe&quot; -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ../../src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
+						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Generating tolua bind files..."
+						CommandLine="&quot;$(OutDir)\tolua_gen.exe&quot; -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ../../src/tolua/tolua-5.1.pkg&#x0D;&#x0A;"
+						AdditionalDependencies="$(RootDir)\src\tolua\lua\compat-5.1.lua;$(RootDir)\src\tolua\lua\compat.lua;$(RootDir)\src\tolua\lua\basic.lua;$(RootDir)\src\tolua\lua\feature.lua;$(RootDir)\src\tolua\lua\verbatim.lua;$(RootDir)\src\tolua\lua\code.lua;$(RootDir)\src\tolua\lua\typedef.lua;$(RootDir)\src\tolua\lua\container.lua;$(RootDir)\src\tolua\lua\package.lua;$(RootDir)\src\tolua\lua\module.lua;$(RootDir)\src\tolua\lua\namespace.lua;$(RootDir)\src\tolua\lua\define.lua;$(RootDir)\src\tolua\lua\enumerate.lua;$(RootDir)\src\tolua\lua\declaration.lua;$(RootDir)\src\tolua\lua\variable.lua;$(RootDir)\src\tolua\lua\array.lua;$(RootDir)\src\tolua\lua\function.lua;$(RootDir)\src\tolua\lua\operator.lua;$(RootDir)\src\tolua\lua\class.lua;$(RootDir)\src\tolua\lua\clean.lua;$(RootDir)\src\tolua\lua\doit.lua"
+						Outputs="$(RootDir)\src\tolua\toluabind_orxonox.c; $(RootDir)\src\tolua\toluabind_orxonox.h"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\tolua.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\toluabind_orxonox.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua++.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\toluabind_orxonox.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: code/trunk/visual_studio/vc8/toluagen.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/toluagen.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/toluagen.vsprops	(revision 1838)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_app_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/util.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/util.vcproj	(revision 1837)
+++ code/trunk/visual_studio/vc8/util.vcproj	(revision 1838)
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\util_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\util.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
+			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\util.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: code/trunk/visual_studio/vc8/util.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/util.vsprops	(revision 1838)
+++ code/trunk/visual_studio/vc8/util.vsprops	(revision 1838)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="util_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="UTIL_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CSS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/util_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/util_properties.vsprops	(revision 1837)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="util_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="UTIL_SHARED_BUILD"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib"
-	/>
-</VisualStudioPropertySheet>
